--- title: "deleteInitScripts" slug: "compute-vserver-initscript-deleteinitscripts" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-initscript-deleteinitscripts" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteInitScripts Available in VPC Delete the list of init scripts. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/deleteInitScripts | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `initScriptNoList.N` | Array | Required | Init script number list - See [getInitScriptList](/docs/en/compute-vserver-initscript-getinitscriptlist). - Example: `initScriptNoList.1=1234&initScriptNoList.2=2345` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/deleteInitScripts ?regionCode=KR &initScriptNoList.1=25**7 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `deleteInitScriptsResponse` | Object | - | Response result - See [InitScriptList](/docs/en/common-vapidatatype-initscriptlist). | | `deleteInitScriptsResponse.requestId` | String | - | ID for the request - UUID format | | `deleteInitScriptsResponse.returnCode` | String | - | Response code | | `deleteInitScriptsResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "deleteInitScriptsResponse": { "totalRows": 0, "initScriptList": [], "requestId": "f7f7d44d-****-****-****-8e3cdb7d5a68", "returnCode": "0", "returnMessage": "success" } } ```